/// class PD.Manage.Modules.Resources.ResourcesModule
/// using PD.Manage.Module

PD.Manage.Modules.Resources.ResourcesModule =
PD.Manage.Module.extend({

    //===================================
    // FIELDS
    //===================================

    _module: null,

    //===================================
    // EVENT HANDLERS
    //===================================

    onFocus: function () {
        if (this._module) {
            this._module.focus();
        }
    },

    onActivate: function () {
        this._super();

        this._module = new PDJS.Manage.Resources.ResourcesModule({
            container: $(`div[id=${this.get_id()}]`),
            success: (e) => {
                this.data("label", "Resources");
                this.ready();
            },
            error: (e) => {
                this.error();
            }
        });

    },

    remove: function () {
        this._super();
        if (this._module) {
            this._module.destroy();
        }
    },

    //===================================
    // PROTECTED METHODS
    //===================================

    template: function (e) {
        return `<div style='position:absolute;inset:0;overflow:hidden;'></div>`;
    }

});